Name: libgdgeda
Version: 2.0.15
Release: alt1

Summary: This is a modified version of the gd package for use with gEDA

Url: http://www.geda.seul.org
License: Original gd
Group: System/Libraries

Packager: Vitaly Lipatov <lav@altlinux.ru>

# manually removed: glibc-devel-static hostinfo 
# Automatically added by buildreq on Tue Dec 14 2004
BuildRequires: libpng-devel xorg-x11-devel zlib-devel

Source: %name-%version.tar.gz

%description
This is a modified version of the gd package for use with gEDA.
This package was created because the original gd needed some modifications
to work with gEDA.

%package devel
Summary: Headers for developing apps which will use the libgdgeda
Group: Development/C
Requires: %name = %version

%description devel
Header files for developing applications
which will use the libgdgeda library. The package is needed
for building programs based on libgdgeda library.

%prep
%setup -q

%build
%configure
make all

# install will be a bit complicated because we are not assured
# that the builder has root privileges
%install
%makeinstall
./libtool --finish $RPM_BUILD_ROOT%_libdir

strip $RPM_BUILD_ROOT%_libdir/libgdgeda.so.*

%post
%post_ldconfig

%postun
%postun_ldconfig

%files
%doc COPYING README*
%doc index.html
%_libdir/libgdgeda.so.*

%files devel
%_libdir/libgdgeda.so
%_bindir/libgdgeda-config
%dir %_includedir/gdgeda
%_includedir/gdgeda/*.h
%_libdir/pkgconfig/libgdgeda.pc

%changelog
* Sun Feb 06 2005 Vitaly Lipatov <lav@altlinux.ru> 2.0.15-alt1
- fix spec

* Tue Dec 14 2004 Vitaly Lipatov <lav@altlinux.ru> 2.0.15-alt0.1
- first build for ALT Linux Sisyphus

* Thu Aug 12 2004 Andy Shevchenko <andriy@asplinux.ru>
- rebuild

* Thu Oct 09 2003 Andy Shevchenko <andriy@asplinux.ru>
- update to new version

* Thu Mar 27 2003 Andy Shevchenko <andriy@asplinux.ru>
- update to new version

* Tue Feb 26 2002 Andy Shevchenko <andriy@asplinux.ru>
- build rpm

